<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nisp_destroyall.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nisp_destroyall" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nisp_destroyall</refname>
    <refpurpose>Destroy all current objects in NISP environment.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   nisp_destroyall ( )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
This function allows to destroy all objects in the
NISP environment.
This might be handy in case of error in the management
of objects, and may allow to destroy all "lost" tokens.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
nisp_destroyall ( )

// Example of what can go wrong...
// We create a first set of random variables.
srvx = setrandvar_new( 3 );
// We overwrite the first set, with the same variable.
srvx = setrandvar_new( 3 );
// We have lost one setrandvar.
// We could recover it with
setrandvar_tokens()
// To destroy all the lost object, we can as well save
// some time and destroy them all at once.
nisp_destroyall ( )
// There is no more setrandvar in use.
setrandvar_tokens() // Must be []

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2015 - Michael Baudin</member>
   <member>Copyright (C) 2008-2011 - INRIA - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
